LIVE Leetcode Weekly 397 learning Session | Community Classes | Leetcode Bi-Weekly 130

แชร์
ฝัง
  • เผยแพร่เมื่อ 27 พ.ย. 2024

ความคิดเห็น • 12

  • @ankitshaw_3060
    @ankitshaw_3060 6 หลายเดือนก่อน

    Implementation of Question-4 of biweekly :- using ll=long long int;
    class Solution {
    public:
    ll count1_in_ith_pos(ll i,ll x){
    ll tot=x+1;
    ll fullCycles=tot/((1LL

  • @praveenbade9206
    @praveenbade9206 6 หลายเดือนก่อน +1

    For Lc weekly 4th question:
    Bhaiya you taught O(n^3*2^n) approach,With hint1 given in leetcode(that perm[0]=0 always gives one of the optimal answer) , it can be optimised to O(n^2*2^n), as we no need to track first in dp state.
    And bhaiya O(n^2*2^n) is giving AC, can you please elaborate why perm[0]=0 always gives one of the optimal answer

    • @TusharRaghav
      @TusharRaghav 6 หลายเดือนก่อน +1

      All cyclic permutations of a permutation have the same score. lets say for some input 1, 3, 0, 4, 2 is an optimal permutation then all cyclic variations of this will also give same score hence 0 4 2 1 3 will also give same score which is lexicographically smaller.

    • @praveenbade9206
      @praveenbade9206 6 หลายเดือนก่อน +1

      @@TusharRaghav thank you

  • @ZaidKhan-ve1lb
    @ZaidKhan-ve1lb 6 หลายเดือนก่อน

    Sir
    I purchased icsc on 13th may, but I didn't get invite of WhatsApp and Slack.

    • @vivekgupta3484
      @vivekgupta3484  6 หลายเดือนก่อน

      Check your mail or reach out to support@algozenith.com

  • @jeeadvanced1230
    @jeeadvanced1230 6 หลายเดือนก่อน +1

    Sir please from next time do in order of 4,3,2,1 because it is very difficult to wait to participate for last question till last of session

    • @adityachauhan3146
      @adityachauhan3146 6 หลายเดือนก่อน

      Yes please

    • @vivekgupta3484
      @vivekgupta3484  6 หลายเดือนก่อน +1

      Then we might rather do only last … because for anyone before that… it will be too hard.

    • @navinmishra2904
      @navinmishra2904 6 หลายเดือนก่อน +2

      I like the flow. I guess 2 hour of upsolving 8 problem is just fine

  • @e2_04_abhijeetkumarsingh6
    @e2_04_abhijeetkumarsingh6 6 หลายเดือนก่อน

    bhaiya in ques 3 of biweekly , why we not use parition dp (form 4) ??

    • @vivekgupta3484
      @vivekgupta3484  6 หลายเดือนก่อน

      form 2 has better complexity. How to calculate answert for l to r?